# Method: projects.locations.services.revisions.list

- [HTTP request](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/list#body.aspect)

Lists Revisions from a given Service, or from a given location. Results are sorted by creation time, descending.

### HTTP request

`GET https://run.googleapis.com/v2/{parent}/revisions`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The Service from which the Revisions should be listed. To list all Revisions across Services, use "-" instead of Service name. Format: projects/{project}/locations/{location}/services/{service} It takes the form `projects/{project}/locations/{location}/services/{service}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `run.revisions.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of revisions to return in this call. |
| `pageToken` | `string` A page token received from a previous call to revisions.list. All other parameters must match. |
| `showDeleted` | `boolean` If true, returns deleted (but unexpired) resources along with active ones. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/run/docs/reference/rest/v2/ListRevisionsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).